Subject: Re: bug#27264: gnome-shell-3.24.2 consistently dies during initialization

From: Mark H Weaver <[email-masked]>
Date: Wed, 07 Jun 2017 17:58:07 -0400

Roel Janssen <[email-masked]> writes:

> Ludovic Courtès writes:
>
>> Hi,
>>
>> Mark H Weaver <[email-masked]> skribis:
>>
>>> (.gnome-shell-real:11698): Gjs-WARNING **: JS ERROR: Error: Requiring Rsvg, version none: Typelib file for namespace 'Rsvg' (any version) not found
>>
>> Looks like the librsvg JS bindings are missing.  Would it help to add
>> librsvg as an input to ‘gnome-shell’?
>>
>> Ludo’.
>
> Adding librsvg to gnome-shell solves this problem, however, a similar
> error for Geoclue2 occurs.  I added 'geoclue' to the inputs, but that
> doesn't solve the problem.

Thanks.

I have a question: Does GNOME 3 work for *anyone* in Guix now?  If so,
that would be useful information.  If not, I wonder why this got merged
into master.

      Mark